Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class RemoveNotificationsAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.RemoveNotificationsAction

All Implemented Interfaces:
  NotificationsAction

Direct Known Subclasses:
  RemoveOthersAction, RemoveUsersAction

    public abstract class RemoveNotificationsAction

extends BaseAction
implements NotificationsAction

An Action that removes notifications for an alert definition.

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.BaseAction
`NO_RETURN_PATH, YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`RemoveNotificationsAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` removes alert definitions
`protected abstract org.apache.struts.action.ActionForward` | `handleRemove(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request, java.util.Map params, java.lang.Integer sessionID, ActionValue action, EmailActionConfig ea, org.hyperic.hq.bizapp.shared.EventsBoss eb, RemoveNotificationsForm rnForm)`

Methods inherited from class org.hyperic.hq.ui.action.BaseAction
`checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, constructForward, constructForward, constructForward, constructForward, execute, returnAdd, returnAdd, returnAdd, returnCancelled, returnCancelled, returnCancelled, returnCancelled, returnFailure, returnFailure, returnFailure, returnFailure, returnFailure, returnNew, returnNew, returnNew, returnNew, returnNew, returnOkAssign, returnOkAssign, returnRemove, returnRemove, returnRemove, returnReset, returnReset, returnReset, returnReset, returnSuccess, returnSuccess, returnSuccess, returnSuccess, returnSuccess`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.NotificationsAction
`getNotificationType`

Constructor Detail

### RemoveNotificationsAction

    public RemoveNotificationsAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  removes alert definitions

  Overrides:
    `execute` in class `BaseAction`
  Throws:
    `java.lang.Exception`

### handleRemove

    protected abstract org.apache.struts.action.ActionForward handleRemove(org.apache.struts.action.ActionMapping mapping,
                                                                           javax.servlet.http.HttpServletRequest request,
                                                                           java.util.Map params,
                                                                           java.lang.Integer sessionID,
                                                                           ActionValue action,
                                                                           EmailActionConfig ea,
                                                                           org.hyperic.hq.bizapp.shared.EventsBoss eb,
                                                                           RemoveNotificationsForm rnForm)
                                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.